Subject: Re: [PATCH] [POWERPC] AMCC Kilauea (405EX): Disable EMAC loopback mode

From: Stefan Roese <[email-masked]>
Date: Tue, 22 Apr 2008 07:15:51 +0200

On Tuesday 22 April 2008, Benjamin Herrenschmidt wrote:
> On Sat, 2008-02-23 at 08:27 +1100, Benjamin Herrenschmidt wrote:
> > On Fri, 2008-02-22 at 09:32 +0100, Stefan Roese wrote:
> > > 405EX(r) has SDR0_MFR[E0CS/E1CS] set after reset. This selects
> > > the internal loopback mode. Clear these bits so that both EMACs
> > > don't use loopback mode as default.
> > >
> > > Signed-off-by: Stefan Roese <[email-masked]>
> > > ---
> > > I'm not sure if this should be done here in the board platform code,
> > > or in the newemac driver or perhaps in some code common for 405EX.
> > >
> > > Any thoughts on this welcome.
> >
> > This should be done in EMAC since we also need to force internal
> > loopback & clocking when probing the PHY or we might not probe
> > it properly (and fail reset) if there is no link.
>
> Is that patch still needed if I apply Valentine patches ? I'm fixing
> them up so they don't break DCR MMIO anymore.

Great. I will send an additional patch to take care of this 405EX(r) loopback 
issue once your version of Valentines patches is available.

Best regards,
Stefan